# Maintainer: Clayton Craft <clayton@craftyguy.net>
# Co-Maintainer: Oliver Smith <ollieparanod@postmarketos.org>
#
# Note: cannot upstream to Alpine until:
# https://gitlab.alpinelinux.org/alpine/apk-tools/-/issues/10712
pkgname=osk-sdl
pkgver=0.67.1
pkgrel=3
pkgdesc="Onscreen keyboard for unlocking LUKS devices"
url="https://gitlab.com/postmarketOS/osk-sdl"
arch="all"
license="GPL-3.0-or-later"
depends="
	cryptsetup-libs
	directfb
	mesa-egl
	mesa-gl
	mesa-gles
	font-dejavu
	"
makedepends="
	cryptsetup-dev
	linux-headers
	meson
	scdoc
	sdl2-dev
	sdl2_ttf-dev
	"
source="
	https://gitlab.com/postmarketOS/osk-sdl/-/archive/$pkgver/osk-sdl-$pkgver.tar.gz
	osk-sdl.files
	unlock.sh
	set-font.patch
	"
options="!strip !check" # No tests
subpackages="$pkgname-doc"
provides="postmarketos-fde-unlocker"
provider_priority=1000

build() {
	abuild-meson build
	meson compile ${JOBS:+-j ${JOBS}} -C build
}

package() {
	DESTDIR="$pkgdir" meson install --no-rebuild -C build

	install -Dm755 "$srcdir"/unlock.sh \
		"$pkgdir"/bin/fde-unlock

	# needed to trigger initfs rebuild:
	touch osk-sdl
	install -Dm644 osk-sdl \
		"$pkgdir"/usr/share/mkinitfs-triggers/osk-sdl

	install -Dm644 "$srcdir"/osk-sdl.files \
		"$pkgdir"/usr/share/mkinitfs/files/30-osk-sdl.files
}

sha512sums="
d699069b7acc1af9ade87ba01b3c2e8e9556bf762ea95b8379ebc7309fcb14ce7972d1563b599dd72068d50ebac039304089fdeb3a2c7972c84c2abe94853098  osk-sdl-0.67.1.tar.gz
e1017bc0667756b82527d88f47a77e2f5a44e0769b5ccdea0c6c1f86bd3d0a1df9d9f5bbb224888748cfef5edc3375036a25099eb02c963302f155c3b2e8fefd  osk-sdl.files
5714849c66a3c9de0c20cec32ebe23867ccc80256599f351ba3b67b153a55b1c22c5a39ca2c403ea5fca46f1e1b9ffa2b80f8d9c0be79578acd6df501ebe3d4c  unlock.sh
b4dfd5030603e35553dadb5617d27f4fbf1101daafee2cdc9ccff6e7570b5c853abee98c627fbd37927b2f6e10ebc1a5e0de20e8a61cd97b2c573a7a81447236  set-font.patch
"
